use POQdataset.dta

tsset qdate

* time series plots
tsline app2

* autocorrelation plots
ac app2
pac app2
corrgram app2

* unit root test
dfuller app2, lags(0)
pperron app2

* arima model
arima app2, arima(1,0,0)
estat ic
arima app2, arima(2,0,0)
estat ic
arima app2, arima(3,0,0)
estat ic

arima app2, arima(1,0,1)
estat ic

* seasonal arima
arima app2, arima(2,0,0) sarima(1,0,0,4)
arima app2, arima(2,0,0) sarima(1,0,0,16)

* specific time trend
gen timeinoffice = 0
replace timeinoffice = 1 if(preschange==1)
replace timeinoffice = timeinoffice[_n-1] + 1 if(preschange==0)

* regression
regress app2 growth unempl
regress app2 lapp2 growth unempl
regress app2 lapp2 L.lapp2 growth unempl

regress app2 lapp2 growth unempl timeinoffice
regress app2 lapp2 growth unempl timeinoffice truman eis ken joh nix ford cart reag bus1 clin





clear all
webuse friedman2
tsset time

tsline m2

gen timesq = time^2

reg m2 time timesq
predict m2dt, resid

tsline m2dt

gen logm2 = log(m2)
tsline logm2

reg logm2 time
predict logm2dt, resid

tsline logm2dt

ac app2
pac app2
corrgram app2


